[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# PIXELFORMAT_BPP

Constant with the number of bits per pixel for TPixelFormat enumeration values.

## Declaration

Source position: graphics.pp line 249

`const PIXELFORMAT_BPP: array [TPixelFormat] of Byte = (0, 1, 4, 8, 15, 16, 24, 32, 0);`

## Description

PIXELFORMAT_BPP is a constant which contains an array of Byte values representing the number of bits used for pixel data in an image. Elements in the array are indexed values in the TPixelFormat enumeration, and contain the number of bits per pixel for the associated pixel format.

## See also

TPixelFormat |  | Represents storage formats for pixels in image data.